umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
StateDialog::GeneralPageWidgets Struct Reference

`#include <statedialog.h>`

## Public Attributes
QLabel * | nameL
QLabel * | typeL
SelectDiagramWidget * | diagramLinkWidget
QLineEdit * | nameLE
QLineEdit * | typeLE
DocumentationWidget * | docWidget
QGroupBox * | generalGB

## Member Data Documentation

## ◆ diagramLinkWidget

SelectDiagramWidget* StateDialog::GeneralPageWidgets::diagramLinkWidget

## ◆ docWidget

DocumentationWidget* StateDialog::GeneralPageWidgets::docWidget

## ◆ generalGB

QGroupBox* StateDialog::GeneralPageWidgets::generalGB

## ◆ nameL

QLabel* StateDialog::GeneralPageWidgets::nameL

## ◆ nameLE

QLineEdit* StateDialog::GeneralPageWidgets::nameLE

## ◆ typeL

QLabel * StateDialog::GeneralPageWidgets::typeL

## ◆ typeLE

QLineEdit * StateDialog::GeneralPageWidgets::typeLE

The documentation for this struct was generated from the following file:

- umbrello/dialogs/statedialog.h